
/* Top Section Styles */
#Top {
  position: relative;
  height: 820px;
  min-width: 100%;
}

#TopTitle {
  display: flex;
  flex-direction: column;
  position: absolute;
  color: white;
  top: 50px;
  left: 50px;
  font-weight: 800;
  font-size: 50px;
  margin: 2px;
}

#TopCover {
  width: 100%;
  height: 500px;
  object-fit: cover;
}
#TopCover_span {
  font-size: 25px;
}

#topContainer {
  width: 100%;
  max-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  position: absolute;
  top: 220px;
}

/* Home Card Styles */

.homeCard {
  box-sizing: border-box;
  width: 350px;
  max-height: 700px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: #2c2c2c;
  transition: all 0.5s;
}

.homeCard:hover {
  scale: 1.03;
}

.homeCard_Thumb {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: 350px;
  background-color: rgba(255, 255, 255, 0.6);
  border-radius: 20px;
  backdrop-filter: blur(2px);
}

.homeCard_Top {
  display: flex;
  font-size: 22px;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
}

.homeCard_Top span {
  max-height: 30px;
  overflow: hidden;
}

.homeCard_OverView {
  max-height: 75px;
  overflow: hidden;
}

.homeCard_BrandCategoryStock {
  gap: 10px;
  width: 100%;
  display: flex;
  justify-content: left;
  align-items: center;
  font-weight: 550;
}

.homeCard_bottom {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.homeCard_AddToCart {
  background: none;
  padding: 10px 30px;
  font-weight: 550;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 20px;
  border: #2c2c2c solid 0.5px;
  transition: all 0.5s;
}

.homeCard_AddToCart:hover {
  background-color: #c3262d;
  color: #ffffff;
  border: none;
}

.homeCard_Stat {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3px;
}

.Rate {
  font-size: 20px;
  font-weight: 500;
  opacity: 0.5;
}

/* Latest Card Styles */

.latestCard {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  background-color: white;
  border-radius: 20px;
  box-sizing: border-box;
  min-width: 300px;
  max-width: 300px;
  min-height: 500px;
  max-height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: #2c2c2c;
  transition: all 0.5s;
  padding: 10px;
  position: relative;
}

.saleBadge {
  position: absolute;
  top: 10px;
  right: 10px;
  background-color: #f8e2e2;
  color: #d33;
  font-size: 12px;
  font-weight: bold;
  padding: 5px 10px;
  border-radius: 50px;
}

.latestCard:hover {
  scale: 1.03;
}

.latestCard_Thumb {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.latestCard_Top {
  display: flex;
  font-size: 18px;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  font-weight: 520;
}

.latestCard span {
  max-height: 30px;
  overflow: hidden;
}

.latestCard_OverView {
  overflow: hidden;
  font-size: 14px;
}

.latestCard_BrandCategoryStock {
  overflow: hidden;
  height: 20px;
  font-size: 14px;
  gap: 5px;
  width: 100%;
  display: flex;
  justify-content: left;
  align-items: center;
  font-weight: 500;
}

.latestCard_AddToCart {
  color: white;
  padding: 10px 30px;
  font-weight: 550;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 20px;
  border: none;
  transition: all 0.5s;
  background-color: #c3262d;
  width: 100%;
}

.latestCard_AddToCart:hover {
  background-color: #7f1116;
}

#latestProducts {
  position: relative;
  overflow: hidden;
}
#latestContainer {
  display: flex;
  gap: 20px;
  padding: 10px;
  transition: all 1.1s;
}

#latestTag {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 20px;
  font-weight: 600;
}

.arrow {
  background: none;
  border: none;
  position: absolute;
  cursor: pointer;
  z-index: 10;
}

.left-arrow {
  top: 45%;
  left: 10px;
}

.right-arrow {
  top: 45%;
  right: 10px;
}
